# Function createDateInputType

- createDateInputType(type, regexp, parseDate): ((scope: any, element: any, attr: any, ctrl: any, $browser: any, $filter: any, $parse: any) => void)

- #### Parameters

  - type: any
  - regexp: any
  - parseDate: any

  #### Returns ((scope: any, element: any, attr: any, ctrl: any, $browser: any, $filter: any, $parse: any) => void)

  - - (scope, element, attr, ctrl, $browser, $filter, $parse): void

    - #### Parameters

      - scope: any
      - element: any
      - attr: any
      - ctrl: any
      - $browser: any
      - $filter: any
      - $parse: any

      #### Returns void

  - Defined in directive/input/input.js:320